## daligner 1.0

=== Makefile ===
CFLAGS = -O3 -Wall -Wextra -fno-strict-aliasing

ALL = daligner HPCdaligner HPCmapper LAsort LAmerge LAsplit LAcat LAshow LAcheck

all: $(ALL)

daligner: daligner.c filter.c filter.h align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o daligner daligner.c filter.c align.c DB.c QV.c -lpthread -lm

HPCdaligner: HPCdaligner.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o HPCdaligner HPCdaligner.c DB.c QV.c -lm

HPCmapper: HPCmapper.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o HPCmapper HPCmapper.c DB.c QV.c -lm

LAsort: LAsort.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAsort LAsort.c DB.c QV.c -lm

LAmerge: LAmerge.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAmerge LAmerge.c DB.c QV.c -lm

LAshow: LAshow.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAshow LAshow.c align.c DB.c QV.c -lm

LAcat: LAcat.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAcat LAcat.c DB.c QV.c -lm

LAsplit: LAsplit.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAsplit LAsplit.c DB.c QV.c -lm

LAcheck: LAcheck.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAcheck LAcheck.c align.c DB.c QV.c -lm

LAupgrade.Dec.31.2014: LAupgrade.Dec.31.2014.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAupgrade.Dec.31.2014 LAupgrade.Dec.31.2014.c align.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f LAupgrade.Dec.31.2014
	rm -f daligner.tar.gz

install:
	cp $(ALL) ~/bin

package:
	make clean
	tar -zcf daligner.tar.gz README *.h *.c Makefile

=== debian/changelog ===
daligner (1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 13 Sep 2015 11:53:41 -0700

daligner (1.0-1) unstable; urgency=low

  * Initial release (Closes: #797352)

 -- Afif Elghraoui <afif@ghraoui.name>  Sat, 29 Aug 2015 13:25:02 -0700

=== debian/control ===
Source: daligner
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends: debhelper (>= 9),
	       pandoc
Standards-Version: 3.9.6
Homepage: https://github.com/thegenemyers/DALIGNER
Vcs-Git: git://anonscm.debian.org/debian-med/daligner.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/daligner.git

Package: daligner
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: local alignment discovery between long nucleotide sequencing reads
 These tools permit one to find all significant local alignments between
 reads encoded in a Dazzler database. The assumption is that the reads are
 from a Pacific Biosciences RS II long read sequencer. That is, the reads
 are long and noisy, up to 15% on average.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# The upstream build system doesn't honor CPPFLAGS
CFLAGS := $(CPPFLAGS) $(CFLAGS)

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C debian/daligner-doc

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C debian/daligner-doc clean

## daligner 1.0%2B20180108

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1
	for command in $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/*; \
	do \
		if [ $$(basename $$command) != daligner ] ; \
		then \
			ln -s daligner.1 \
			$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/$$(basename $$command).1 ; \
		fi; \
	done

## daligner 1.0+20151214

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-CFLAGS = -O3 -Wall -Wextra -fno-strict-aliasing
+CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing
 
-ALL = daligner HPCdaligner HPCmapper LAsort LAmerge LAsplit LAcat LAshow LAcheck
+ALL = daligner HPCdaligner HPCmapper LAsort LAmerge LAsplit LAcat LAshow LAdump LAcheck LAindex
 
 all: $(ALL)
 
@@ -22,6 +22,9 @@
 LAshow: LAshow.c align.c align.h DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o LAshow LAshow.c align.c DB.c QV.c -lm
 
+LAdump: LAdump.c align.c align.h DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o LAdump LAdump.c align.c DB.c QV.c -lm
+
 LAcat: LAcat.c align.h DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o LAcat LAcat.c DB.c QV.c -lm
 
@@ -33,6 +36,9 @@
 
 LAupgrade.Dec.31.2014: LAupgrade.Dec.31.2014.c align.c align.h DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o LAupgrade.Dec.31.2014 LAupgrade.Dec.31.2014.c align.c DB.c QV.c -lm
+
+LAindex: LAindex.c align.c align.h DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o LAindex LAindex.c align.c DB.c QV.c -lm
 
 clean:
 	rm -f $(ALL)

=== debian/changelog ===
daligner (1.0+20151214-1) unstable; urgency=medium

  * New upstream revision (git2923450)
  * Add manpages for new executables
  * Stylistic consistency in packaging
  * Refresh/adjust patches
  * Suggest dazzdb

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 08 Jan 2016 22:55:34 -0800

=== debian/control ===
Source: daligner
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends:
	debhelper (>= 9),
	pandoc,
Standards-Version: 3.9.6
Homepage: https://dazzlerblog.wordpress.com
Vcs-Git: git://anonscm.debian.org/debian-med/daligner.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/daligner.git

Package: daligner
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
Suggests:
	dazzdb,
Description: local alignment discovery between long nucleotide sequencing reads
 These tools permit one to find all significant local alignments between
 reads encoded in a Dazzler database. The assumption is that the reads are
 from a Pacific Biosciences RS II long read sequencer. That is, the reads
 are long and noisy, up to 15% on average.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
#include /usr/share/dpkg/default.mk

# The upstream build system doesn't honor CPPFLAGS
CFLAGS := $(CPPFLAGS) $(CFLAGS)

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C debian/man

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C debian/man clean

## daligner 1.0+20160927

=== debian/changelog ===
daligner (1.0+20160927-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Mon, 17 Oct 2016 23:51:49 -0700

daligner (1.0+20160927-1) unstable; urgency=medium

  * Imported Upstream version 1.0+20160927 (git ca167d3)
  * Update patches
  * Refer to upstream README for command reference
  * Update Standards-Version
  * Use encrypted protocols for VCS URLs
  * Update email address and copyright years

 -- Afif Elghraoui <afif@debian.org>  Tue, 11 Oct 2016 21:12:16 -0700

daligner (1.0+20151214-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Thu, 14 Jan 2016 21:05:47 -0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@ghraoui.name>
+Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
-	pandoc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://dazzlerblog.wordpress.com
-Vcs-Git: git://anonscm.debian.org/debian-med/daligner.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/daligner.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/daligner.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/daligner.git
 
 Package: daligner
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

# The upstream build system doesn't honor CPPFLAGS
CFLAGS := $(CPPFLAGS) $(CFLAGS)

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1
	for command in $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/*; \
	do \
		if [ $$(basename $$command) != daligner ] ; \
		then \
			ln -s daligner.1 \
			$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/$$(basename $$command).1 ; \
		fi; \
	done

## daligner 1.0+20161119

=== debian/changelog ===
daligner (1.0+20161119-1) unstable; urgency=medium

  * New upstream snapshot (git a9458dc)

 -- Afif Elghraoui <afif@debian.org>  Wed, 18 Jan 2017 22:16:19 -0800

daligner (1.0+20160927-2) unstable; urgency=low

  * Use LDLIBS rather than LDFLAGS.
    Thanks to Logan Rosen (Closes: #849431)
  * Suggest dascrubber
  * d/rules: Don't combine CPPFLAGS with CFLAGS
  * Use debhelper compat 10

 -- Afif Elghraoui <afif@debian.org>  Tue, 27 Dec 2016 13:03:16 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
-	debhelper (>= 9),
+	debhelper (>= 10),
 Standards-Version: 3.9.8
 Homepage: https://dazzlerblog.wordpress.com
 Vcs-Git: https://anonscm.debian.org/git/debian-med/daligner.git
@@ -17,6 +17,7 @@
 	${misc:Depends},
 Suggests:
 	dazzdb,
+	dascrubber,
 Description: local alignment discovery between long nucleotide sequencing reads
  These tools permit one to find all significant local alignments between
  reads encoded in a Dazzler database. The assumption is that the reads are

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/daligner-$1.tar.gz/" \
    https://github.com/thegenemyers/DALIGNER/tags (?:.*/)?[vV]?(\d[\d\.]*)\.tar\.gz

## daligner 1.0+20180108

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,16 @@
+DEST_DIR = ~/bin
+
 CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing
 
-ALL = daligner HPCdaligner HPCmapper LAsort LAmerge LAsplit LAcat LAshow LAdump LAcheck LAindex
+ALL = daligner HPC.daligner LAsort LAmerge LAsplit LAcat LAshow LAdump LAcheck LAindex
 
 all: $(ALL)
 
 daligner: daligner.c filter.c filter.h align.c align.h DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o daligner daligner.c filter.c align.c DB.c QV.c -lpthread -lm
 
-HPCdaligner: HPCdaligner.c DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o HPCdaligner HPCdaligner.c DB.c QV.c -lm
-
-HPCmapper: HPCmapper.c DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o HPCmapper HPCmapper.c DB.c QV.c -lm
+HPC.daligner: HPC.daligner.c DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o HPC.daligner HPC.daligner.c DB.c QV.c -lm
 
 LAsort: LAsort.c align.h DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o LAsort LAsort.c DB.c QV.c -lm
@@ -47,8 +46,8 @@
 	rm -f daligner.tar.gz
 
 install:
-	cp $(ALL) ~/bin
+	cp $(ALL) $(DEST_DIR)
 
 package:
 	make clean
-	tar -zcf daligner.tar.gz README *.h *.c Makefile
+	tar -zcf daligner.tar.gz README.md Makefile *.h *.c

=== debian/changelog ===
daligner (1.0+20180108-1) unstable; urgency=medium

  * New upstream snapshot (git 233274a)
  * Bump Standards-Version to 4.1.3
  * Bump copyright years

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 05:26:26 -0500

daligner (1.0+20171010-2) unstable; urgency=low

  [ Steffen Moeller ]
  * [debian/upstream/metadata] Reference to OMICtools added.

 -- Afif Elghraoui <afif@debian.org>  Thu, 19 Oct 2017 23:42:51 -0400

daligner (1.0+20171010-1) unstable; urgency=medium

  * New upstream snapshot (git b966696)
  * Bump Standards Version to 4.1.1
  * Bump copyright years

 -- Afif Elghraoui <afif@debian.org>  Thu, 19 Oct 2017 23:18:52 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 10),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://dazzlerblog.wordpress.com
 Vcs-Git: https://anonscm.debian.org/git/debian-med/daligner.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/daligner.git

## daligner 1.0+git20180524.fd21879

=== debian/changelog ===
daligner (1.0+git20180524.fd21879-1) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * New upstream commit
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 08:34:03 +0100

=== debian/control ===
Source: daligner
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/daligner
Vcs-Git: https://salsa.debian.org/med-team/daligner.git
Homepage: https://dazzlerblog.wordpress.com

Package: daligner
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: dazzdb,
          dascrubber
Description: local alignment discovery between long nucleotide sequencing reads
 These tools permit one to find all significant local alignments between
 reads encoded in a Dazzler database. The assumption is that the reads are
 from a Pacific Biosciences RS II long read sequencer. That is, the reads
 are long and noisy, up to 15% on average.

## daligner 1.0+git20200115.c2b47da

=== debian/changelog ===
daligner (1.0+git20200115.c2b47da-1) unstable; urgency=medium

  * New upstream version
  * Afif removed himself from Uploaders
  * Add myself to Uploaders
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0 (routine-update)
  * debian/README.source: Document code copy from dazzdb

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2020 09:32:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: daligner
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/daligner
 Vcs-Git: https://salsa.debian.org/med-team/daligner.git
 Homepage: https://dazzlerblog.wordpress.com

## daligner 1.0+git20200727.ed40ce5

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,16 @@
 DEST_DIR = ~/bin
+
+# CFLAGS = -O0 -g -Wall -Wextra -Wno-unused-result -fno-strict-aliasing -fsanitize=address -fsanitize=undefined
+# Above is for debug out of bound addresses, must compile with -lASAN -lUBSAN if gcc instead of clang
 
 CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing
 
-ALL = daligner HPC.daligner LAsort LAmerge LAsplit LAcat LAshow LAdump LAcheck LAindex
+ALL = daligner HPC.daligner LAsort LAmerge LAsplit LAcat LAshow LAdump LAcheck LAa2b LAb2a dumpLA
 
 all: $(ALL)
 
-daligner: daligner.c filter.c filter.h align.c align.h DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o daligner daligner.c filter.c align.c DB.c QV.c -lpthread -lm
+daligner: daligner.c filter.c filter.h lsd.sort.c lsd.sort.h align.c align.h DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o daligner daligner.c filter.c lsd.sort.c align.c DB.c QV.c -lpthread -lm
 
 HPC.daligner: HPC.daligner.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o HPC.daligner HPC.daligner.c DB.c QV.c -lm
@@ -33,16 +36,18 @@
 LAcheck: LAcheck.c align.c align.h DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o LAcheck LAcheck.c align.c DB.c QV.c -lm
 
-LAupgrade.Dec.31.2014: LAupgrade.Dec.31.2014.c align.c align.h DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o LAupgrade.Dec.31.2014 LAupgrade.Dec.31.2014.c align.c DB.c QV.c -lm
+LAa2b: LAa2b.c align.c align.h DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o LAa2b LAa2b.c align.c DB.c QV.c -lm
 
-LAindex: LAindex.c align.c align.h DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o LAindex LAindex.c align.c DB.c QV.c -lm
+LAb2a: LAb2a.c align.c align.h DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o LAb2a LAb2a.c align.c DB.c QV.c -lm
+
+dumpLA: dumpLA.c align.c align.h DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o dumpLA dumpLA.c align.c DB.c QV.c -lm
 
 clean:
 	rm -f $(ALL)
 	rm -fr *.dSYM
-	rm -f LAupgrade.Dec.31.2014
 	rm -f daligner.tar.gz
 
 install:

=== debian/changelog ===
daligner (1.0+git20200727.ed40ce5-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Do not hard code gcc
    Closes: #968434

 -- Andreas Tille <tille@debian.org>  Sat, 15 Aug 2020 21:39:59 +0200

daligner (1.0+git20200727.ed40ce5-2) unstable; urgency=medium

  * Team upload.
  * added autopkgtests
  * Install docs

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Wed, 12 Aug 2020 22:52:11 +0200

daligner (1.0+git20200727.ed40ce5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Mon, 10 Aug 2020 16:01:48 +0200

daligner (1.0+git20200608.c18a2fb-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Steffen Moeller <moeller@debian.org>  Sat, 13 Jun 2020 15:37:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/daligner
 Vcs-Git: https://salsa.debian.org/med-team/daligner.git
 Homepage: https://dazzlerblog.wordpress.com
+Rules-Requires-Root: no
 
 Package: daligner
 Architecture: any

=== debian/watch ===
version=4

opts="mode=git,pretty=1.0+git%cd.%h" \
    https://github.com/thegenemyers/DALIGNER.git HEAD

#opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/daligner-$1.tar.gz/" \
#    https://github.com/thegenemyers/DALIGNER/tags (?:.*/)?[vV]?(\d[\d\.]*)\.tar\.gz

## daligner 1.0+git20210330.f61b8cf

=== debian/changelog ===
daligner (1.0+git20210330.f61b8cf-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * cppflags.patch: added to fortify hardened functions.
  * typos.patch: added to fix typos caught by lintian.
  * d/u/metadata: add repository information.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Wed, 03 Aug 2022 16:35:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: daligner
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/daligner
 Vcs-Git: https://salsa.debian.org/med-team/daligner.git
 Homepage: https://dazzlerblog.wordpress.com

## daligner 1.0+git20221215.bd26967

=== debian/changelog ===
daligner (1.0+git20221215.bd26967-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 11:01:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/daligner
 Vcs-Git: https://salsa.debian.org/med-team/daligner.git
 Homepage: https://dazzlerblog.wordpress.com

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,10 @@
 #DH_VERBOSE = 1
 include /usr/share/dpkg/default.mk
 
-# The upstream build system doesn't honor CPPFLAGS
-CFLAGS := $(CPPFLAGS) $(CFLAGS)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install

## daligner 1.0+git20230620.f9a35a8

=== debian/changelog ===
daligner (1.0+git20230620.f9a35a8-1) unstable; urgency=medium

  * New upstream version 1.0+git20230620.f9a35a8
  * typos.patch: fix "auxiliary" typos.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jul 2023 11:10:34 +0200

## daligner 1.0+git20240119.335105d

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing
 
-ALL = daligner HPC.daligner LAsort LAmerge LAsplit LAcat LAshow LAdump LAcheck LAa2b LAb2a dumpLA
+ALL = daligner HPC.daligner LAsort LAmerge LAsplit LAcat LAshow LA2ONE LAcheck ONE2LA
 
 all: $(ALL)
 
@@ -24,8 +24,8 @@
 LAshow: LAshow.c align.c align.h DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o LAshow LAshow.c align.c DB.c QV.c -lm
 
-LAdump: LAdump.c align.c align.h DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o LAdump LAdump.c align.c DB.c QV.c -lm
+LA2ONE: LA2ONE.c align.c align.h DB.c DB.h QV.c QV.h ONElib.c ONElib.h
+	gcc $(CFLAGS) -o LA2ONE LA2ONE.c align.c DB.c QV.c ONElib.c -lm
 
 LAcat: LAcat.c align.h DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o LAcat LAcat.c DB.c QV.c -lm
@@ -36,14 +36,8 @@
 LAcheck: LAcheck.c align.c align.h DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o LAcheck LAcheck.c align.c DB.c QV.c -lm
 
-LAa2b: LAa2b.c align.c align.h DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o LAa2b LAa2b.c align.c DB.c QV.c -lm
-
-LAb2a: LAb2a.c align.c align.h DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o LAb2a LAb2a.c align.c DB.c QV.c -lm
-
-dumpLA: dumpLA.c align.c align.h DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o dumpLA dumpLA.c align.c DB.c QV.c -lm
+ONE2LA: ONE2LA.c align.c align.h DB.c DB.h QV.c QV.h ONElib.c ONElib.h
+	gcc $(CFLAGS) -o ONE2LA ONE2LA.c align.c DB.c QV.c ONElib.c -lm
 
 clean:
 	rm -f $(ALL)

=== debian/changelog ===
daligner (1.0+git20240119.335105d-3) unstable; urgency=medium

  * d/control: declare compliance to standards version 4.7.0.
  * gcc-14.patch: fix build failure with gcc-14. (Closes: #1074900)

 -- Étienne Mollier <emollier@debian.org>  Wed, 03 Jul 2024 22:45:58 +0200

daligner (1.0+git20240119.335105d-2) unstable; urgency=medium

  * fix-missing-include.patch: new: fix ftbfs with dpkg. (Closes: #1066534)

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Mar 2024 21:38:57 +0100

daligner (1.0+git20240119.335105d-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 21 Jan 2024 11:57:13 +0100

daligner (1.0+git20240111.a9f62ac-1) unstable; urgency=medium

  * New upstream version
  * typos.patch: remove: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Sat, 13 Jan 2024 15:21:16 +0100

daligner (1.0+git20231217.518d4c2-1) unstable; urgency=medium

  * New upstream version
  * cross.patch: document issue open that would ease crossbuilds.
  * typos.patch: forwarded upstream.

 -- Étienne Mollier <emollier@debian.org>  Sat, 30 Dec 2023 11:39:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/daligner
 Vcs-Git: https://salsa.debian.org/med-team/daligner.git
 Homepage: https://dazzlerblog.wordpress.com

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, dazzdb
Restrictions: allow-stderr
